CREATE TABLE fnd_saved_search_user_prefs (
    USER_NAME            VARCHAR2(4000),
    SAVED_SEARCH_ID      NUMBER(18, 0) ,
    ENABLED_FLAG         VARCHAR2(4)   ,
    VISIBLE_FLAG         VARCHAR2(4)   ,
    AUTO_RUN_FLAG        VARCHAR2(4)   ,
    CREATED_BY           VARCHAR2(256)     NOT NULL,
    CREATION_DATE        TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY      VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE     TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN    VARCHAR2(128) ,
    USER_NAME            VARCHAR2(4000),
    SAVED_SEARCH_ID      NUMBER(18, 0) ,
    ENABLED_FLAG         VARCHAR2(4)   ,
    VISIBLE_FLAG         VARCHAR2(4)   ,
    AUTO_RUN_FLAG        VARCHAR2(4)   ,
    CREATED_BY           VARCHAR2(256)     NOT NULL,
    CREATION_DATE        TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY      VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE     TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN    VARCHAR2(128) ,
    CONSTRAINT pk_fnd_saved_search_user_prefs PRIMARY KEY (USER_NAME, SAVED_SEARCH_ID, USER_NAME, SAVED_SEARCH_ID)
);
